MonoMac 0.0.0.0 MonoMac.Foundation.NSObject MonoMac.Foundation.Register("AVCaptureDevice", true) To be added. To be added. avcaptureframes
- Constructor
  0.0.0.0
  MonoMac.Foundation.Export("initWithCoder:")
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  The unarchiver object.
  A constructor that initializes the object from the data stored in the unarchiver object.
  This constructor is provided to allow the class to be initialized from an unarchiver (for example, during NIB deserialization).
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Unused sentinel value, pass NSObjectFlag.Empty.
  Constructor to call on derived classes when the derived class has an [Export] constructor.

  This constructor should be called by derived classes when they are initialized using an [Export] attribute. The argument value is ignore, typically the chaining would look like this:

  public class MyClass : BaseClass { [Export ("initWithFoo:")] public MyClass (string foo) : base (NSObjectFlag.Empty) { ... }
- Constructor
  0.0.0.0
  System.ComponentModel.EditorBrowsable(System.ComponentModel.EditorBrowsableState.Advanced)
  Pointer (handle) to the unmanaged object.
  A constructor used when creating managed representations of unmanaged objects; Called by the runtime.

  This constructor is invoked by the runtime infrastructure () to create a new managed representation for a pointer to an unmanaged Objective-C object. You should not invoke this method directly, instead you should call the GetNSObject method as it will prevent two instances of a managed object to point to the same native object.

- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isAdjustingExposure")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isAdjustingFocus")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isAdjustingWhiteBalance")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("automaticallyEnablesLowLightBoostWhenAvailable")
  set: MonoMac.Foundation.Export("setAutomaticallyEnablesLowLightBoostWhenAvailable:")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  System.IntPtr The handle for this class. The pointer to the Objective-C class. Each MonoMac class mirrors an unmanaged Objective-C class. This value contains the pointer to the Objective-C class, it is similar to calling objc_getClass with the object name.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isConnected")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("defaultDeviceWithMediaType:")
  MonoMac.AVFoundation.AVCaptureDevice `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("devices")
  MonoMac.AVFoundation.AVCaptureDevice[] To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("devicesWithMediaType:")
  MonoMac.AVFoundation.AVCaptureDevice[] `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("deviceWithUniqueID:")
  MonoMac.AVFoundation.AVCaptureDevice `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("exposureMode")
  set: MonoMac.Foundation.Export("setExposureMode:")
  MonoMac.AVFoundation.AVCaptureExposureMode To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("exposurePointOfInterest")
  set: MonoMac.Foundation.Export("setExposurePointOfInterest:")
  System.Drawing.PointF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isExposurePointOfInterestSupported")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(5, 0)
  get: MonoMac.Foundation.Export("isFlashActive")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(5, 0)
  get: MonoMac.Foundation.Export("isFlashAvailable")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("flashMode")
  set: MonoMac.Foundation.Export("setFlashMode:")
  MonoMac.AVFoundation.AVCaptureFlashMode To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("focusMode")
  set: MonoMac.Foundation.Export("setFocusMode:")
  MonoMac.AVFoundation.AVCaptureFocusMode To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("focusPointOfInterest")
  set: MonoMac.Foundation.Export("setFocusPointOfInterest:")
  System.Drawing.PointF To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("isFocusPointOfInterestSupported")
  System.Boolean To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("hasMediaType:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("isExposureModeSupported:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("isFlashModeSupported:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("isFocusModeSupported:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("isTorchModeSupported:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("isWhiteBalanceModeSupported:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("localizedName")
  System.String To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("lockForConfiguration:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("isLowLightBoostEnabled")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("isLowLightBoostSupported")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("modelID")
  System.String To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("position")
  MonoMac.AVFoundation.AVCaptureDevicePosition To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("setTorchModeOnWithLevel:error:")
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for SubjectAreaDidChange NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  If you want to subscribe to this notification, you can use the convenience . method which offers strongly typed access to the parameters of the notification.

  The following example shows how to use the strongly typed Notifications class, to take the guesswork out of the available properties in the notification:

  `// // Lambda style // // listening notification = AVCaptureDevice.Notifications.ObserveSubjectAreaDidChange ((sender, args) => { /* Access strongly typed args */ Console.WriteLine ("Notification: {0}", args.Notification); }); // To stop listening: notification.Dispose (); // // Method style // NSObject notification; void Callback (object sender, SubjectAreaDidChange args) { // Access strongly typed args Console.WriteLine ("Notification: {0}", args.Notification); } void Setup () { notification = AVCaptureDevice.Notifications.ObserveSubjectAreaDidChange (Callback); } void Teardown () { notification.Dispose (); }`

  The following example shows how to use the notification with the DefaultCenter API:

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( AVCaptureDevice.SubjectAreaDidChangeNotification, (notification) => {Console.WriteLine ("Received the notification AVCaptureDevice", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification AVCaptureDevice", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (AVCaptureDevice.SubjectAreaDidChangeNotification, Callback); }`
- Method
  0.0.0.0
  MonoMac.Foundation.Export("supportsAVCaptureSessionPreset:")
  System.Boolean `` To be added. To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(6, 0)
  get: MonoMac.Foundation.Export("isTorchActive")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(5, 0)
  get: MonoMac.Foundation.Export("isTorchAvailable")
  System.Boolean To be added. To be added. To be added.
- Property
  0.0.0.0
  MonoMac.ObjCRuntime.Since(5, 0)
  get: MonoMac.Foundation.Export("torchLevel")
  System.Single To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("torchMode")
  set: MonoMac.Foundation.Export("setTorchMode:")
  MonoMac.AVFoundation.AVCaptureTorchMode To be added. To be added. To be added.
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("uniqueID")
  System.String To be added. To be added. To be added.
- Method
  0.0.0.0
  MonoMac.Foundation.Export("unlockForConfiguration")
  System.Void To be added. To be added.
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for WasConnected NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  If you want to subscribe to this notification, you can use the convenience . method which offers strongly typed access to the parameters of the notification.

  The following example shows how to use the strongly typed Notifications class, to take the guesswork out of the available properties in the notification:

  `// // Lambda style // // listening notification = AVCaptureDevice.Notifications.ObserveWasConnected ((sender, args) => { /* Access strongly typed args */ Console.WriteLine ("Notification: {0}", args.Notification); }); // To stop listening: notification.Dispose (); // // Method style // NSObject notification; void Callback (object sender, WasConnected args) { // Access strongly typed args Console.WriteLine ("Notification: {0}", args.Notification); } void Setup () { notification = AVCaptureDevice.Notifications.ObserveWasConnected (Callback); } void Teardown () { notification.Dispose (); }`

  The following example shows how to use the notification with the DefaultCenter API:

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( AVCaptureDevice.WasConnectedNotification, (notification) => {Console.WriteLine ("Received the notification AVCaptureDevice", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification AVCaptureDevice", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (AVCaptureDevice.WasConnectedNotification, Callback); }`
- Property
  0.0.0.0
  MonoMac.Foundation.NSString Notification constant for WasDisconnected NSString constant, should be used as a token to NSNotificationCenter.

  This constant can be used with the to register a listener for this notification. This is an NSString instead of a string, because these values can be used as tokens in some native libraries instead of being used purely for their actual string content. The 'notification' parameter to the callback contains extra information that is specific to the notification type.

  If you want to subscribe to this notification, you can use the convenience . method which offers strongly typed access to the parameters of the notification.

  The following example shows how to use the strongly typed Notifications class, to take the guesswork out of the available properties in the notification:

  `// // Lambda style // // listening notification = AVCaptureDevice.Notifications.ObserveWasDisconnected ((sender, args) => { /* Access strongly typed args */ Console.WriteLine ("Notification: {0}", args.Notification); }); // To stop listening: notification.Dispose (); // // Method style // NSObject notification; void Callback (object sender, WasDisconnected args) { // Access strongly typed args Console.WriteLine ("Notification: {0}", args.Notification); } void Setup () { notification = AVCaptureDevice.Notifications.ObserveWasDisconnected (Callback); } void Teardown () { notification.Dispose (); }`

  The following example shows how to use the notification with the DefaultCenter API:

  `// Lambda style NSNotificationCenter.DefaultCenter.AddObserver ( AVCaptureDevice.WasDisconnectedNotification, (notification) => {Console.WriteLine ("Received the notification AVCaptureDevice", notification); } // Method style void Callback (NSNotification notification) { Console.WriteLine ("Received a notification AVCaptureDevice", notification); } void Setup () { NSNotificationCenter.DefaultCenter.AddObserver (AVCaptureDevice.WasDisconnectedNotification, Callback); }`
- Property
  0.0.0.0
  get: MonoMac.Foundation.Export("whiteBalanceMode")
  set: MonoMac.Foundation.Export("setWhiteBalanceMode:")
  MonoMac.AVFoundation.AVCaptureWhiteBalanceMode To be added. To be added. To be added.